summaryrefslogtreecommitdiff
path: root/test/integration/test-bug-lp1347721-dpkg-ordering
diff options
context:
space:
mode:
authorMichael Vogt <mvo@ubuntu.com>2014-09-05 14:47:22 +0200
committerMichael Vogt <mvo@ubuntu.com>2014-09-05 14:47:22 +0200
commit30b683f4f3021cd191ffef04bfaf2deb65820a52 (patch)
treeb58771461581111f7bbbfd8d3e8eba012dc776ff /test/integration/test-bug-lp1347721-dpkg-ordering
parente6e893903869635ab7ee3200f654129b08717ded (diff)
parent8c782efd93342c6119e8ba2ff6989b7a164b7f3d (diff)
Merge remote-tracking branch 'upstream/debian/experimental' into feature/acq-trans
Diffstat (limited to 'test/integration/test-bug-lp1347721-dpkg-ordering')
-rwxr-xr-xtest/integration/test-bug-lp1347721-dpkg-ordering11
1 files changed, 11 insertions, 0 deletions
diff --git a/test/integration/test-bug-lp1347721-dpkg-ordering b/test/integration/test-bug-lp1347721-dpkg-ordering
new file mode 100755
index 000000000..cfe7a4df2
--- /dev/null
+++ b/test/integration/test-bug-lp1347721-dpkg-ordering
@@ -0,0 +1,11 @@
+#!/bin/sh
+set -e
+
+TESTDIR=$(readlink -f $(dirname $0))
+. $TESTDIR/framework
+setupenvironment
+configarchitecture "i386"
+setupaptarchive
+
+# ensure we find a valid ordering
+testsuccess aptget dist-upgrade -s